POST api/JobSeeker/OpportunityDetail/RetractResponseToAnnouncement
Request Information
URI Parameters
None.
Body Parameters
RetractActionInput| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ActionTypeId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"actionTypeId": 2
}
application/xml, text/xml
Sample:
<RetractActionInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker"> <ActionTypeId>2</ActionTypeId> <Id>1</Id> </RetractActionInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
TakeActionOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Success | boolean |
None. |
|
| FailMessage | string |
None. |
|
| RedirectUrl | string |
None. |
|
| JobSeekerDocumentId | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"success": true,
"failMessage": "sample string 2",
"redirectUrl": "sample string 3",
"jobSeekerDocumentId": 1
}
application/xml, text/xml
Sample:
<TakeActionOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker"> <FailMessage>sample string 2</FailMessage> <JobSeekerDocumentId>1</JobSeekerDocumentId> <RedirectUrl>sample string 3</RedirectUrl> <Success>true</Success> </TakeActionOutput>